package kcg.faics.equip.service.impl;

import org.springframework.stereotype.Repository;

import kcg.faics.equip.vo.ApproveVO;
import egovframework.rte.psl.dataaccess.EgovAbstractMapper;

/**
 * 장비 사용실적 결재관련 Mapper.
 * 
 * @author kimnomin
 *
 */
@Repository("approveMapper")
public class ApproveMapper extends EgovAbstractMapper {
	/**
	 * 네임스페이스. 
	 */
	private final String namespace = "EquipApprove";
	
	/**
	 * 한 건의 결재 내역을 반환한다.
	 * 
	 * @param vo 검색조건 VO
	 * @return 한 건의 결재 내역
	 */
	public ApproveVO select(final ApproveVO vo) {
		return selectOne(namespace + ".select", vo);
	}
	
	/**
	 * 결재 내역을 입력한다.
	 * 
	 * @param dataVO 입력할 VO
	 * @return 1-성공, 0-실패
	 */
	public int insert(final ApproveVO dataVO) {
		return insert(namespace + ".insert", dataVO);
	}
}
